Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 6 of 6

Thread: Teensyduino 1.15 Released

  1. #1
    Administrator Paul's Avatar
    Join Date
    Oct 2012
    Posts
    390

    Teensyduino 1.15 Released

    Teensyduino 1.15 has been officially released.

    http://www.pjrc.com/teensy/td_download.html

    For a detailed list of all the changes since 1.14, scroll down to "Teensyduino Revision History".

  2. #2
    Thanks!!! Good Job!!! ¿there exist some "revision control" to contribute or get some devel branch of Teensyduino?

  3. #3
    Junior Member
    Join Date
    Apr 2013
    Posts
    18
    Quote Originally Posted by Paul View Post
    Teensyduino 1.15 has been officially released.

    http://www.pjrc.com/teensy/td_download.html

    For a detailed list of all the changes since 1.14, scroll down to "Teensyduino Revision History".
    I understand this might be a stupid question but I had to have a go. How do I figure out which version of Teensyduino I'm on currently? I want to upgrade but I want to see the changelog before I do. Thanks!

  4. #4
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    23,958
    Make sure Teensy Loader is not running. Then click Verify in Arduino, so the Teensy Loader installed by Teensyduino runs. Look in the Teensy Loader's verbose info (help menu). Prior to 1.15, Teensy Loader had a different version number from Teensyduino. Now they're in sync, so if it's Teensy Loader 1.15, then you have Teensyduino 1.15.

    If you have Teensy Loader 1.07 or older, look in the comments when you do an upload. When the Teensyduino utilities send the filename to the Teensy Loader, the version of Teensyduino should be shown.

  5. #5
    Junior Member
    Join Date
    Apr 2013
    Posts
    18
    Quote Originally Posted by PaulStoffregen View Post
    Make sure Teensy Loader is not running. Then click Verify in Arduino, so the Teensy Loader installed by Teensyduino runs. Look in the Teensy Loader's verbose info (help menu). Prior to 1.15, Teensy Loader had a different version number from Teensyduino. Now they're in sync, so if it's Teensy Loader 1.15, then you have Teensyduino 1.15.

    If you have Teensy Loader 1.07 or older, look in the comments when you do an upload. When the Teensyduino utilities send the filename to the Teensy Loader, the version of Teensyduino should be shown.
    Thanks, that was quick!

    Loader = 1.07
    Teensyduino = 1.13.

    Cheers.

  6. #6
    Thanks for this Paul,
    what was the problem with USB MIDI sendProgramChange in earlier versions?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •